Package ru.bitel.bgbilling.plugins.helpdesk.server.bean

# Class TopicListFilter

java.lang.Object
ru.bitel.bgbilling.plugins.helpdesk.server.bean.TopicListFilter

    public class TopicListFilter
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `TopicListFilter()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getContractId()` |
  `java.lang.String` | `getMessage()` |
  `Page` | `getPage()` |
  `Period` | `getPeriod()` |
  `java.lang.String` | `getSearchString()` |
  `int` | `getStatus()` |
  `java.lang.String` | `getTitle()` |
  `int` | `getTopicId()` |
  `int` | `getUserId()` |
  `int` | `getUserID()` | Deprecated.
  `java.lang.String` | `getUserselect()` |
  `boolean` | `isAllMessage()` |
  `java.lang.Boolean` | `isClosed()` |
  `boolean` | `isNewManagerMessage()` |
  `boolean` | `isNewUserMessage()` |
  `boolean` | `isOnlyNew()` |
  `void` | `setAllMessage​(boolean allMessage)` |
  `void` | `setClosed​(java.lang.Boolean closed)` |
  `void` | `setContractId​(int contractId)` |
  `void` | `setMessage​(java.lang.String message)` |
  `void` | `setNewManagerMessage​(boolean newManagerMessage)` |
  `void` | `setNewUserMessage​(boolean newUserMessage)` |
  `void` | `setOnlyNew​(boolean onlyNew)` |
  `void` | `setPage​(Page page)` |
  `void` | `setPeriod​(Period period)` |
  `void` | `setSearchString​(java.lang.String val)` |
  `void` | `setStatus​(int status)` |
  `void` | `setTitle​(java.lang.String title)` |
  `void` | `setTopicId​(int topicId)` |
  `void` | `setUserId​(int userId)` |
  `void` | `setUserID​(int userId)` | Deprecated.
  `void` | `setUserselect​(java.lang.String userSelect)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TopicListFilter

    public TopicListFilter()

- ## Method Details

  - ### getTopicId

    public int getTopicId()

  - ### setTopicId

    public void setTopicId​(int topicId)

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public void setStatus​(int status)

  - ### getMessage

    public java.lang.String getMessage()

  - ### setMessage

    public void setMessage​(java.lang.String message)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId​(int contractId)

  - ### isClosed

    public java.lang.Boolean isClosed()

  - ### setClosed

    public void setClosed​(java.lang.Boolean closed)

  - ### getPeriod

    public Period getPeriod()

  - ### setPeriod

    public void setPeriod​(Period period)

  - ### getTitle

    public java.lang.String getTitle()

  - ### setTitle

    public void setTitle​(java.lang.String title)

  - ### getSearchString

    public java.lang.String getSearchString()

  - ### setSearchString

    public void setSearchString​(java.lang.String val)

  - ### getPage

    public Page getPage()

  - ### setPage

    public void setPage​(Page page)

  - ### isAllMessage

    public boolean isAllMessage()

  - ### setAllMessage

    public void setAllMessage​(boolean allMessage)

  - ### isNewUserMessage

    public boolean isNewUserMessage()

  - ### setNewUserMessage

    public void setNewUserMessage​(boolean newUserMessage)

  - ### isNewManagerMessage

    public boolean isNewManagerMessage()

  - ### setNewManagerMessage

    public void setNewManagerMessage​(boolean newManagerMessage)

  - ### isOnlyNew

    public boolean isOnlyNew()

  - ### setOnlyNew

    public void setOnlyNew​(boolean onlyNew)

  - ### getUserselect

    public java.lang.String getUserselect()

  - ### setUserselect

    public void setUserselect​(java.lang.String userSelect)

  - ### getUserId

    public int getUserId()

  - ### getUserID

    @Deprecated public int getUserID()
    Deprecated.
    Использовать `getUserId()`.
    Returns:

  - ### setUserId

    public void setUserId​(int userId)

  - ### setUserID

    @Deprecated public void setUserID​(int userId)
    Deprecated.
    Использовать `setUserId(int)`.
    Parameters:
      `userId` -